<?php

namespace api\v2\system;
use api\v2\Base;

use function api\v2\import_common;
import_common();

class info extends Base {
    public function authorized_for_get() {
        return true;
    }

    public function get() {
        $name = new name();
        $version = new version();
        $update = new update();
        $branding = new branding();
        $os = new os();
        $response = [
            'name' => $name->get(),
            'version' => $version->get(),
            'update' => $update->get(),
            'branding' => $branding->get(),
            'os' => $os->get(),
            'developer' => is_dev_mode() || is_debug_mode(),
        ];
        return $response;
    }
}